List Card Products
curl --request GET \
--url https://api.synctera.com/v2/cards/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/cards/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/cards/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_products": [
{
"active": true,
"bulk_shipping_enabled": false,
"card_program_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"end_date": "2050-06-07T21:32:43.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"name": "<string>",
"start_date": "2010-05-06T12:23:34.321Z",
"unsecured_credit_enabled": false,
"account_range_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"bin_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"tenant": "abcdef_ghijkl",
"bin_country": "US",
"bypass_risk_errors": true,
"card_fulfillment_country": "US",
"card_limit": 2,
"color": "<string>",
"cross_border_enabled": false,
"digital_wallet_tokenization": {
"card_art_id": "<string>",
"provisioning_controls": {
"in_app_provisioning": {
"address_verification": {
"validate": false
},
"enabled": true
},
"manual_entry": {
"address_verification": {
"validate": false
},
"enabled": true
},
"wallet_provider_card_on_file": {
"address_verification": {
"validate": false
},
"enabled": true
},
"web_push_provisioning": {
"apple_card_template_id": "<string>",
"apple_partner_id": "<string>",
"google_piaid": "<string>"
}
}
},
"image": true,
"image_mode": "REQUIRED_APPROVED_FIRST",
"issue_without_kyc": true,
"l2l3_enabled": false,
"offline_pin": true,
"package_id": "<string>",
"return_address": {
"address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"care_of_line": "<string>",
"is_expedited_fulfillment": true,
"method": "LOCAL_MAIL",
"phone_number": "+14374570680",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
}
},
"txn_enhancer": "NONE",
"vendor_data": {
"episodesix": {
"package_id": "<string>",
"scheme_id": "<string>",
"token_activation_methods": []
}
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Cards
List Card Products
List of available Card Products
GET
/
cards
/
products
List Card Products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
The format of the card PHYSICAL or VIRTUAL.
Available options:
PHYSICAL, VIRTUAL The brand of a card product
Available options:
MASTERCARD, VISA Specifies the sort order for the returned card products.
Available options:
creation_time:asc, creation_time:desc, card_brand:asc, card_brand:desc, card_category:asc, card_category:desc, card_type:asc, card_type:desc, form:asc, form:desc, name:asc, name:desc, start_date:asc, start_date:desc, end_date:asc, end_date:desc, active:asc, active:desc Was this page helpful?
⌘I

